"implausibly old time stamp" when Calamari is extracted

After upgrading to 2021.1.7236 we are getting the following warnings when Calamari gets extracted on a Linux deployment target:

The version 18.1.1 of the Calamari.linux-x64 tool has not been extracted, it will be extracted automatically.
tar: NuGet.Frameworks.dll: implausibly old time stamp 1970-01-01 00:00:00
tar: System.Security.Cryptography.Algorithms.dll: implausibly old time stamp 1970-01-01 00:00:00
tar: System.ComponentModel.Primitives.dll: implausibly old time stamp 1970-01-01 00:00:00
tar: System.Security.Cryptography.ProtectedData.dll: implausibly old time stamp 1970-01-01 00:00:00
tar: System.Security.Cryptography.X509Certificates.dll: implausibly old time stamp 1970-01-01 00:00:00
tar: System.Diagnostics.Debug.dll: implausibly old time stamp 1970-01-01 00:00:00 
...
Version 18.1.1 of the Calamari.linux-x64 tool has been extracted successfully

The Octopus Deploy server is running as a Linux container using the official image.

Hi Jakub,

Thanks for reaching out!

Unfortunately, it seems you’ve run into a known issue with our 2021.1.7236 release. We have a fix coming in our 2021.2 release, which should be available in the very near future!

If you would like any further explanation around what’s causing this or have any other questions, feel free to let me know.

Best Regards,

Thank you for a quick response. I don’t need any further info on that I don’t think, just wanted to make sure you are aware. It doesn’t block any deployments so I’m happy to just wait until a fixed release is available.

Cheers

Hi Jakub,

No problem, we appreciate you raising it!

Feel free to reach out anytime :slight_smile:

Best Regards,